Make cdn_ssl_version a Setting
02/26/2020 02:50 PM - Chris Roberts

Status: Closed

Priority: Normal

Assignee: Chris Roberts
Category: foreman-installer script

Target version:

Difficulty: easy Fixed in Releases: 2.1.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-kat

ello/pull/320,

https://github.com/theforeman/foreman-i
nstaller/pull/477,
https://github.com/theforeman/foreman-i
nstaller/pull/494

Description

Currently the SSL version used to talk to the CDN can be set via cdn_ssl_version. This exists for proxies that don't support modern
standards like TLS 1.2. In an ideal world these proxies wouldn't exist.

It's used here:

https://github.com/Katello/katello/blob/5{7f32ebf1f4a221b6c370ea2a15b733e18527b8/app/lib/katello/resources/cdn.rb#l 64-L69

The installer has a parameter for this:

https://github.com/theforeman/puppet-katello/blob/1de6fedbOb8ccbeab024d754b5¢c678840676f677/manifests/init.pp#L.131

Since this is not critical to be set at installation time and can actually be a runtime setting, a database Setting would be a better place.

Related issues:
Copied from Installer - Refactor #28906: Make cdn_ssl|_version a Setting Closed

Associated revisions

Revision f928a41c - 03/30/2020 01:29 PM - Chris Roberts
Fixes #29184 - Add cdn-ssl param migration hook

Revision a3a0fe6d - 04/01/2020 05:43 AM - Eric Helms
Refs #29184: Check that cdn-ssl answer exists

History

#1 - 02/26/2020 02:50 PM - Chris Roberts
- Copied from Refactor #28906: Make cdn_ssl|_version a Setting added

#2 - 02/26/2020 05:05 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman-installer/pull/477 added

#3 - 03/30/2020 01:29 PM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#4 - 03/30/2020 02:01 PM - Chris Roberts
- Status changed from Ready For Testing to Closed
https://github.com/Katello/katello/blob/5f7f32ebf1f4a221b6c370ea2a15b733e18527b8/app/lib/katello/resources/cdn.rb#L64-L69
https://github.com/theforeman/puppet-katello/blob/1de6fedb0b8ccbeab024d754b5c678840676f677/manifests/init.pp#L131

Applied in changeset installer|f928a41c5{8ab6ca78fbe49661f999f69af4cfe8.

#5 - 04/01/2020 12:00 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/494 added
